install.packages("xlsx")
install.packages("dplyr")
install.packages("tidyr")
install.packages("stringr")
install.packages("readxl")
install.packages("plm")
install.packages("formula")
install.packages("base")
install.packages("texreg")
install.packages('xtable')
library(xlsx)
library(dplyr)
library(tidyr)
library(stringr)
library(readxl)
library(plm)
library(Formula)
library(base)
library(texreg)
library(xtable)

my.d <- 'C://Users//Angie Stefanny//Desktop'
setwd(my.d)
my.f <- 'DATA_IMPORTACIONES1.xlsx'
#df <- read.xlsx(file = my.f, sheetIndex = 1)
df <- read_excel(my.f,sheet = 1)

df <- df%>%filter(Year>1970)
pdata <- plm.data(df, indexes = c("Country","Year"))



pool4.5p <- plm(GDp ~ 1 + Earthquake + Epidemic + Flood + Storm | 
            Inflation + ImportByS + Teroftra + BalCom, data = pdata, 
            model = "pooling")
pool4.5w <- plm(GDp ~ 1 + Earthquake + Epidemic + Flood + Storm | 
                  Inflation + ImportByS + Teroftra + BalCom, data = pdata, 
                model = "within")
pool4.5r <- plm(GDp ~ 1 + Earthquake + Epidemic + Flood + Storm | 
                  Inflation + ImportByS + Teroftra + BalCom, data = pdata, 
                model = "random")
pool4.5w <- plm(GDp ~ 1 + Earthquake + Epidemic + Flood + Storm + 
                  TotDis, data = pdata, model = "within")

summary(pool4.5p)
summary(pool4.5w)
summary(pool4.5r)
phtest(pool4.5w, pool4.5r)
pwtest(pool4.5p)

my.inst.tab <- screenreg(l = list("Pooling"=pool4.5p, "Fix Efect"=pool4.5w, "Random"=pool4.5r))
